{{ $appSection := "backend" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ $appName }}
  annotations:
    {{ if eq (index .Values $appSection "ingress" "tls" | toString) "true" }}
    acme.cert-manager.io/http01-edit-in-place: "true"
    cert-manager.io/cluster-issuer: letsencrypt-prod
    {{ end }}
    nginx.ingress.kubernetes.io/configuration-snippet: |
      more_set_headers "X-Robots-Tag: noindex,nofollow,nosnippet,noarchive,notranslate,noimageindex";
      {{ (index .Values $appSection "ingress" "annotationsNginxConfig" ) }}
    nginx.ingress.kubernetes.io/proxy-body-size: "0"
spec:
  ingressClassName: nginx
  rules:
    - host: {{ index .Values $appSection "ingress" "host" }}
      http:
        paths:
          - backend:
              service:
                name: {{ $appName }}
                port:
                  number: {{ index .Values $appSection "port" }}
            path: /
            pathType: Prefix
  {{ if eq (index .Values $appSection "ingress" "tls" | toString) "true" }}
  tls:
    - hosts:
        - {{ index .Values $appSection "ingress" "host" }}
      secretName: {{ index .Values $appSection "ingress" "host" }}-tls
  {{ end }}
{{- end }}
